what is PHP extension nd_mysqli ?

Need help with the Administration of your Joomla! 4.x site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
what2use
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 150
Joined: Fri May 22, 2015 7:16 pm

what is PHP extension nd_mysqli ?

Post by what2use » Thu Sep 29, 2022 6:25 pm

I had to enable the PHP extension nd_mysqli so that one of my sites will work with PHP 8.0
For some reason this is the only site that requires this

Can you advise on what this is?

User avatar
ceford
Joomla! Ace
Joomla! Ace
Posts: 1359
Joined: Mon Feb 24, 2014 10:38 pm
Location: Edinburgh, Scotland
Contact:

Re: what is PHP extension nd_mysqli ?

Post by ceford » Thu Sep 29, 2022 8:04 pm

Google for nd_mysqli - you will find answers relevant to your hosting set up.

what2use
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 150
Joined: Fri May 22, 2015 7:16 pm

Re: what is PHP extension nd_mysqli ?

Post by what2use » Fri Sep 30, 2022 1:50 am

I looked and I don't understand. Most of the sites I manage worked fine after I changed to PHP 8.0
But one would only work if I enabled the PHP extension nd_mysqli

Since it could be a problem in the future I wanted to find out what it is and see if I can remove the component, feature or whatever from that joomla site

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 29486
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: what is PHP extension nd_mysqli ?

Post by Per Yngve Berg » Fri Sep 30, 2022 7:27 am

It's the Client Connector that make php able to connect to the database.

There are several alternatives ie. mysqli, pdo_mysql, nd_mysqli etc.

You must have one loaded in php and what is set in Joomla's Configuration.php file must match.


Post Reply

Return to “Administration Joomla! 4.x”